Set Alert
Request to be POSTed to uri : /NorenWClientAPI/SetAlert
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id | |
| tsym* | Trading symbol | |
| exch* | Exchange Segment | |
| ai_t* | Alert Type | |
| validity* | DAY or GTT | DAY or GTT |
| d* | Data to be compared with LTP | |
| remarks | Any message Entered during order entry. | |
| sms_flag | true or false | SMS flag |
| email_flag | true or false | Email flag |
| push_flag | true or false | Push flag |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/SetAlert' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO","tsym":"ACC-EQ","exch":"NSE","ai_t":"LTP_A", "validity":"DAY", "d":"1900"}'
Response Details :
Response data will have below fields.
| Json Fields | Possible value | Description |
|---|---|---|
| stat | alert success or failure indication. | |
| request_time | This will be present only in a successful response. | |
| al_id | Alert Id | |
| emsg | This will be present only in case of errors.That is : 1) Invalid Input 2) Session Expired |
Sample Success Response :
{
"request_time": "14:54:18 19-01-2026",
"stat": "OI created",
"al_id": "26011900000001"
}
Sample Failure Response :
{
"stat":"Not_Ok",
"emsg":"Session Expired : Invalid Session Key"
}